TP5.0、TP5.1、TP6.0 下载方式及环境要求

TP5.0 TP5.1 TP6.0

TP5.0 要求PHP版本 >= 5.4.0,TP5.1 要求PHP版本 >= 5.6.0,TP6.0 要求PHP版本 >= 7.1.0。TP5.0、TP5.1 可以通过 composer 或 git 下载, TP6.0 必须通过 composer 下载

辰风沐阳 阅读 1268 2020-10-01

composer remove 移除扩展包

Composer

remove 命令用于移除 composer.json 中的扩展包;也可以一次移除多个包:composer remove 扩展包1 扩展包2 扩展包3

辰风沐阳 阅读 1199 2020-09-17

composr require 下载扩展包

Composer

composr require 将依赖添加或更新到 composer.json 文件中,不存在则自动创建;支持一次引入多个composer包,使用空格隔开就行;修改已下载的包的版本,直接引入即可,会自动以删除前安装的,改为最新指定的版本

辰风沐阳 阅读 1117 2020-09-17

WordPress 的下载和安装

php WordPress

WordPress 官网:https://wordpress.org;WordPress 简体中文网:https://cn.wordpress.org。在英文网下载的 WordPress 安装界提示界面和后台管理系统语言都采用的是英文,要想使用中文版的就去中文网下载

辰风沐阳 阅读 1148 2020-09-14

PHP中的 unset 和 引用变量

php

unset 只是断开变量和内存地址的引用关系

辰风沐阳 阅读 1002 2020-09-11

composer browse 查看包的存储库和主页

Composer

composer browse 用于查看包的存储库和主页。1. 打开包的存储库:composer browse 包名 2. 打开包的主页:composer browse 包名 -H 3. 查看包的存储库地址:composer browse 包名 -s 4. 查看包的主页地址:composer browse 包名 -s -H

辰风沐阳 阅读 982 2020-09-11

require 和 include 的区别

php

require 和 include 的区别最重要的两点:1. 引入的文件不存在时require报致命错误,程序终止运行;而 include 报警告错误,程序继续运行 2. require 是程序执行前加载,include 是程序执行到才加载。共同点:都是语言结构,而不是函数

辰风沐阳 阅读 1602 2020-09-10

PHP7.4命令行报错:VC运行库和PHP版本不兼容

php

今天使用composer下载TP时报错vc运行库不兼容,又发现执行PHP命令也是这个错,并没动环境变量中的PHP,觉得这错出的莫名其妙,虽然解决了这个问题,但是不知道为什么出现这个问题,因为PHP环境什么也没动,之前好好的,今天突然不行了

辰风沐阳 阅读 1105 2020-08-24

phpoffice/phpspreadsheet 扩展包【PHP 操作 Excel】

php Composer

PhpSpreadsheet 是一个用纯PHP编写的库,提供了一组类。使您可以读取和写入不同电子表格文件格式,并且提供了丰富的API接口,可以设置诸多单元格以及文档属性

辰风沐阳 阅读 1810 2020-08-20

PHP生成二维码【endroid/qr-code 3.x】

php Composer

在项目用到了需要生成二维码的功能,写篇文章记录一下,下次再使用的时候可以快速上手。要注意的是:二维码中放入logo时,适当控制logo图片大小,图片过大会导致无法识别二维码

辰风沐阳 阅读 1916 2020-08-19